Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 6013)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 6014)
@@ -54,30 +54,32 @@
       this.label3 = new System.Windows.Forms.Label();
       this.commonGroupBox = new System.Windows.Forms.GroupBox();
+      this.panel2 = new System.Windows.Forms.Panel();
+      this.xAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
       this.xAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
+      this.panel1 = new System.Windows.Forms.Panel();
       this.yAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
       this.yAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
       this.label6 = new System.Windows.Forms.Label();
-      this.label5 = new System.Windows.Forms.Label();
       this.histoGramGroupBox = new System.Windows.Forms.GroupBox();
+      this.panel3 = new System.Windows.Forms.Panel();
+      this.binsApproximatelyRadioButton = new System.Windows.Forms.RadioButton();
+      this.binsExactRadioButton = new System.Windows.Forms.RadioButton();
       this.lineChartGroupBox = new System.Windows.Forms.GroupBox();
       this.lineWidthNumericUpDown = new System.Windows.Forms.NumericUpDown();
       this.label4 = new System.Windows.Forms.Label();
       this.label7 = new System.Windows.Forms.Label();
-      this.binsApproximatelyRadioButton = new System.Windows.Forms.RadioButton();
-      this.binsExactRadioButton = new System.Windows.Forms.RadioButton();
-      this.panel1 = new System.Windows.Forms.Panel();
-      this.panel2 = new System.Windows.Forms.Panel();
-      this.panel3 = new System.Windows.Forms.Panel();
       this.lineStyleComboBox = new System.Windows.Forms.ComboBox();
       this.label8 = new System.Windows.Forms.Label();
+      this.label5 = new System.Windows.Forms.Label();
+      this.axisGroupBox = new System.Windows.Forms.GroupBox();
       ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).BeginInit();
       this.commonGroupBox.SuspendLayout();
+      this.panel2.SuspendLayout();
+      this.panel1.SuspendLayout();
       this.histoGramGroupBox.SuspendLayout();
+      this.panel3.SuspendLayout();
       this.lineChartGroupBox.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).BeginInit();
-      this.panel1.SuspendLayout();
-      this.panel2.SuspendLayout();
-      this.panel3.SuspendLayout();
+      this.axisGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -88,5 +90,5 @@
       this.chartTypeComboBox.Location = new System.Drawing.Point(76, 19);
       this.chartTypeComboBox.Name = "chartTypeComboBox";
-      this.chartTypeComboBox.Size = new System.Drawing.Size(218, 21);
+      this.chartTypeComboBox.Size = new System.Drawing.Size(224, 21);
       this.chartTypeComboBox.TabIndex = 1;
       this.chartTypeComboBox.SelectedValueChanged += new System.EventHandler(this.chartTypeComboBox_SelectedValueChanged);
@@ -166,8 +168,5 @@
       this.commonGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.commonGroupBox.Controls.Add(this.panel2);
-      this.commonGroupBox.Controls.Add(this.panel1);
-      this.commonGroupBox.Controls.Add(this.label6);
-      this.commonGroupBox.Controls.Add(this.label5);
+      this.commonGroupBox.Controls.Add(this.axisGroupBox);
       this.commonGroupBox.Controls.Add(this.colorButton);
       this.commonGroupBox.Controls.Add(this.label1);
@@ -176,13 +175,34 @@
       this.commonGroupBox.Location = new System.Drawing.Point(3, 3);
       this.commonGroupBox.Name = "commonGroupBox";
-      this.commonGroupBox.Size = new System.Drawing.Size(305, 125);
+      this.commonGroupBox.Size = new System.Drawing.Size(313, 158);
       this.commonGroupBox.TabIndex = 0;
       this.commonGroupBox.TabStop = false;
       this.commonGroupBox.Text = "Common";
       // 
+      // panel2
+      // 
+      this.panel2.Controls.Add(this.xAxisPrimaryRadioButton);
+      this.panel2.Controls.Add(this.xAxisSecondaryRadioButton);
+      this.panel2.Location = new System.Drawing.Point(63, 16);
+      this.panel2.Name = "panel2";
+      this.panel2.Size = new System.Drawing.Size(231, 25);
+      this.panel2.TabIndex = 7;
+      // 
+      // xAxisPrimaryRadioButton
+      // 
+      this.xAxisPrimaryRadioButton.AutoSize = true;
+      this.xAxisPrimaryRadioButton.Location = new System.Drawing.Point(4, 4);
+      this.xAxisPrimaryRadioButton.Name = "xAxisPrimaryRadioButton";
+      this.xAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
+      this.xAxisPrimaryRadioButton.TabIndex = 0;
+      this.xAxisPrimaryRadioButton.TabStop = true;
+      this.xAxisPrimaryRadioButton.Text = "Primary";
+      this.xAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
+      // 
       // xAxisSecondaryRadioButton
       // 
       this.xAxisSecondaryRadioButton.AutoSize = true;
-      this.xAxisSecondaryRadioButton.Location = new System.Drawing.Point(81, 3);
+      this.xAxisSecondaryRadioButton.Location = new System.Drawing.Point(70, 4);
       this.xAxisSecondaryRadioButton.Name = "xAxisSecondaryRadioButton";
       this.xAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
@@ -193,8 +213,17 @@
       this.xAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
       // 
+      // panel1
+      // 
+      this.panel1.Controls.Add(this.yAxisSecondaryRadioButton);
+      this.panel1.Controls.Add(this.yAxisPrimaryRadioButton);
+      this.panel1.Location = new System.Drawing.Point(63, 40);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(231, 25);
+      this.panel1.TabIndex = 5;
+      // 
       // yAxisSecondaryRadioButton
       // 
       this.yAxisSecondaryRadioButton.AutoSize = true;
-      this.yAxisSecondaryRadioButton.Location = new System.Drawing.Point(82, 3);
+      this.yAxisSecondaryRadioButton.Location = new System.Drawing.Point(70, 4);
       this.yAxisSecondaryRadioButton.Name = "yAxisSecondaryRadioButton";
       this.yAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
@@ -205,20 +234,8 @@
       this.yAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
       // 
-      // xAxisPrimaryRadioButton
-      // 
-      this.xAxisPrimaryRadioButton.AutoSize = true;
-      this.xAxisPrimaryRadioButton.Location = new System.Drawing.Point(3, 3);
-      this.xAxisPrimaryRadioButton.Name = "xAxisPrimaryRadioButton";
-      this.xAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
-      this.xAxisPrimaryRadioButton.TabIndex = 0;
-      this.xAxisPrimaryRadioButton.TabStop = true;
-      this.xAxisPrimaryRadioButton.Text = "Primary";
-      this.xAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
-      this.xAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
-      // 
       // yAxisPrimaryRadioButton
       // 
       this.yAxisPrimaryRadioButton.AutoSize = true;
-      this.yAxisPrimaryRadioButton.Location = new System.Drawing.Point(4, 3);
+      this.yAxisPrimaryRadioButton.Location = new System.Drawing.Point(4, 4);
       this.yAxisPrimaryRadioButton.Name = "yAxisPrimaryRadioButton";
       this.yAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
@@ -232,18 +249,9 @@
       // 
       this.label6.AutoSize = true;
-      this.label6.Location = new System.Drawing.Point(8, 100);
+      this.label6.Location = new System.Drawing.Point(6, 22);
       this.label6.Name = "label6";
       this.label6.Size = new System.Drawing.Size(39, 13);
       this.label6.TabIndex = 6;
-      this.label6.Text = "X-Axis:";
-      // 
-      // label5
-      // 
-      this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(8, 77);
-      this.label5.Name = "label5";
-      this.label5.Size = new System.Drawing.Size(39, 13);
-      this.label5.TabIndex = 4;
-      this.label5.Text = "Y-Axis:";
+      this.label6.Text = "X Axis:";
       // 
       // histoGramGroupBox
@@ -254,66 +262,24 @@
       this.histoGramGroupBox.Controls.Add(this.binsNumericUpDown);
       this.histoGramGroupBox.Controls.Add(this.label3);
-      this.histoGramGroupBox.Location = new System.Drawing.Point(3, 236);
+      this.histoGramGroupBox.Location = new System.Drawing.Point(3, 269);
       this.histoGramGroupBox.Name = "histoGramGroupBox";
-      this.histoGramGroupBox.Size = new System.Drawing.Size(305, 49);
+      this.histoGramGroupBox.Size = new System.Drawing.Size(313, 49);
       this.histoGramGroupBox.TabIndex = 2;
       this.histoGramGroupBox.TabStop = false;
       this.histoGramGroupBox.Text = "Histogram";
       // 
-      // lineChartGroupBox
-      // 
-      this.lineChartGroupBox.Controls.Add(this.lineWidthNumericUpDown);
-      this.lineChartGroupBox.Controls.Add(this.label4);
-      this.lineChartGroupBox.Controls.Add(this.startIndexZeroCheckBox);
-      this.lineChartGroupBox.Controls.Add(this.label7);
-      this.lineChartGroupBox.Controls.Add(this.lineStyleComboBox);
-      this.lineChartGroupBox.Controls.Add(this.label8);
-      this.lineChartGroupBox.Location = new System.Drawing.Point(3, 134);
-      this.lineChartGroupBox.Name = "lineChartGroupBox";
-      this.lineChartGroupBox.Size = new System.Drawing.Size(473, 96);
-      this.lineChartGroupBox.TabIndex = 1;
-      this.lineChartGroupBox.TabStop = false;
-      this.lineChartGroupBox.Text = "Line Chart";
-      // 
-      // lineWidthNumericUpDown
-      // 
-      this.lineWidthNumericUpDown.Location = new System.Drawing.Point(96, 66);
-      this.lineWidthNumericUpDown.Minimum = new decimal(new int[] {
-            1,
-            0,
-            0,
-            0});
-      this.lineWidthNumericUpDown.Name = "lineWidthNumericUpDown";
-      this.lineWidthNumericUpDown.Size = new System.Drawing.Size(65, 20);
-      this.lineWidthNumericUpDown.TabIndex = 5;
-      this.lineWidthNumericUpDown.Value = new decimal(new int[] {
-            1,
-            0,
-            0,
-            0});
-      this.lineWidthNumericUpDown.ValueChanged += new System.EventHandler(this.lineWidthNumericUpDown_ValueChanged);
-      // 
-      // label4
-      // 
-      this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(8, 68);
-      this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(61, 13);
-      this.label4.TabIndex = 4;
-      this.label4.Text = "Line Width:";
-      // 
-      // label7
-      // 
-      this.label7.AutoSize = true;
-      this.label7.Location = new System.Drawing.Point(8, 46);
-      this.label7.Name = "label7";
-      this.label7.Size = new System.Drawing.Size(82, 13);
-      this.label7.TabIndex = 2;
-      this.label7.Text = "Start Index at 0:";
+      // panel3
+      // 
+      this.panel3.Controls.Add(this.binsApproximatelyRadioButton);
+      this.panel3.Controls.Add(this.binsExactRadioButton);
+      this.panel3.Location = new System.Drawing.Point(146, 16);
+      this.panel3.Name = "panel3";
+      this.panel3.Size = new System.Drawing.Size(154, 25);
+      this.panel3.TabIndex = 2;
       // 
       // binsApproximatelyRadioButton
       // 
       this.binsApproximatelyRadioButton.AutoSize = true;
-      this.binsApproximatelyRadioButton.Location = new System.Drawing.Point(0, 0);
+      this.binsApproximatelyRadioButton.Location = new System.Drawing.Point(4, 4);
       this.binsApproximatelyRadioButton.Name = "binsApproximatelyRadioButton";
       this.binsApproximatelyRadioButton.Size = new System.Drawing.Size(90, 17);
@@ -327,5 +293,5 @@
       // 
       this.binsExactRadioButton.AutoSize = true;
-      this.binsExactRadioButton.Location = new System.Drawing.Point(96, 0);
+      this.binsExactRadioButton.Location = new System.Drawing.Point(100, 4);
       this.binsExactRadioButton.Name = "binsExactRadioButton";
       this.binsExactRadioButton.Size = new System.Drawing.Size(52, 17);
@@ -336,30 +302,56 @@
       this.binsExactRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
       // 
-      // panel1
-      // 
-      this.panel1.Controls.Add(this.yAxisSecondaryRadioButton);
-      this.panel1.Controls.Add(this.yAxisPrimaryRadioButton);
-      this.panel1.Location = new System.Drawing.Point(76, 72);
-      this.panel1.Name = "panel1";
-      this.panel1.Size = new System.Drawing.Size(159, 23);
-      this.panel1.TabIndex = 5;
-      // 
-      // panel2
-      // 
-      this.panel2.Controls.Add(this.xAxisPrimaryRadioButton);
-      this.panel2.Controls.Add(this.xAxisSecondaryRadioButton);
-      this.panel2.Location = new System.Drawing.Point(76, 95);
-      this.panel2.Name = "panel2";
-      this.panel2.Size = new System.Drawing.Size(159, 21);
-      this.panel2.TabIndex = 7;
-      // 
-      // panel3
-      // 
-      this.panel3.Controls.Add(this.binsApproximatelyRadioButton);
-      this.panel3.Controls.Add(this.binsExactRadioButton);
-      this.panel3.Location = new System.Drawing.Point(146, 21);
-      this.panel3.Name = "panel3";
-      this.panel3.Size = new System.Drawing.Size(147, 18);
-      this.panel3.TabIndex = 2;
+      // lineChartGroupBox
+      // 
+      this.lineChartGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.lineChartGroupBox.Controls.Add(this.lineWidthNumericUpDown);
+      this.lineChartGroupBox.Controls.Add(this.label4);
+      this.lineChartGroupBox.Controls.Add(this.startIndexZeroCheckBox);
+      this.lineChartGroupBox.Controls.Add(this.label7);
+      this.lineChartGroupBox.Controls.Add(this.lineStyleComboBox);
+      this.lineChartGroupBox.Controls.Add(this.label8);
+      this.lineChartGroupBox.Location = new System.Drawing.Point(3, 167);
+      this.lineChartGroupBox.Name = "lineChartGroupBox";
+      this.lineChartGroupBox.Size = new System.Drawing.Size(313, 96);
+      this.lineChartGroupBox.TabIndex = 1;
+      this.lineChartGroupBox.TabStop = false;
+      this.lineChartGroupBox.Text = "Line Chart";
+      // 
+      // lineWidthNumericUpDown
+      // 
+      this.lineWidthNumericUpDown.Location = new System.Drawing.Point(96, 66);
+      this.lineWidthNumericUpDown.Minimum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.lineWidthNumericUpDown.Name = "lineWidthNumericUpDown";
+      this.lineWidthNumericUpDown.Size = new System.Drawing.Size(65, 20);
+      this.lineWidthNumericUpDown.TabIndex = 5;
+      this.lineWidthNumericUpDown.Value = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.lineWidthNumericUpDown.ValueChanged += new System.EventHandler(this.lineWidthNumericUpDown_ValueChanged);
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(8, 68);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(61, 13);
+      this.label4.TabIndex = 4;
+      this.label4.Text = "Line Width:";
+      // 
+      // label7
+      // 
+      this.label7.AutoSize = true;
+      this.label7.Location = new System.Drawing.Point(8, 46);
+      this.label7.Name = "label7";
+      this.label7.Size = new System.Drawing.Size(82, 13);
+      this.label7.TabIndex = 2;
+      this.label7.Text = "Start Index at 0:";
       // 
       // lineStyleComboBox
@@ -369,5 +361,5 @@
       this.lineStyleComboBox.Location = new System.Drawing.Point(96, 19);
       this.lineStyleComboBox.Name = "lineStyleComboBox";
-      this.lineStyleComboBox.Size = new System.Drawing.Size(198, 21);
+      this.lineStyleComboBox.Size = new System.Drawing.Size(204, 21);
       this.lineStyleComboBox.TabIndex = 1;
       this.lineStyleComboBox.SelectedValueChanged += new System.EventHandler(this.lineStyleComboBox_SelectedValueChanged);
@@ -382,4 +374,26 @@
       this.label8.Text = "Line Style:";
       // 
+      // label5
+      // 
+      this.label5.AutoSize = true;
+      this.label5.Location = new System.Drawing.Point(6, 46);
+      this.label5.Name = "label5";
+      this.label5.Size = new System.Drawing.Size(39, 13);
+      this.label5.TabIndex = 6;
+      this.label5.Text = "Y Axis:";
+      // 
+      // axisGroupBox
+      // 
+      this.axisGroupBox.Controls.Add(this.label5);
+      this.axisGroupBox.Controls.Add(this.label6);
+      this.axisGroupBox.Controls.Add(this.panel1);
+      this.axisGroupBox.Controls.Add(this.panel2);
+      this.axisGroupBox.Location = new System.Drawing.Point(6, 75);
+      this.axisGroupBox.Name = "axisGroupBox";
+      this.axisGroupBox.Size = new System.Drawing.Size(299, 75);
+      this.axisGroupBox.TabIndex = 9;
+      this.axisGroupBox.TabStop = false;
+      this.axisGroupBox.Text = "Display Data on";
+      // 
       // DataRowVisualPropertiesControl
       // 
@@ -390,19 +404,21 @@
       this.Controls.Add(this.commonGroupBox);
       this.Name = "DataRowVisualPropertiesControl";
-      this.Size = new System.Drawing.Size(311, 290);
+      this.Size = new System.Drawing.Size(319, 323);
       ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).EndInit();
       this.commonGroupBox.ResumeLayout(false);
       this.commonGroupBox.PerformLayout();
+      this.panel2.ResumeLayout(false);
+      this.panel2.PerformLayout();
+      this.panel1.ResumeLayout(false);
+      this.panel1.PerformLayout();
       this.histoGramGroupBox.ResumeLayout(false);
       this.histoGramGroupBox.PerformLayout();
+      this.panel3.ResumeLayout(false);
+      this.panel3.PerformLayout();
       this.lineChartGroupBox.ResumeLayout(false);
       this.lineChartGroupBox.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).EndInit();
-      this.panel1.ResumeLayout(false);
-      this.panel1.PerformLayout();
-      this.panel2.ResumeLayout(false);
-      this.panel2.PerformLayout();
-      this.panel3.ResumeLayout(false);
-      this.panel3.PerformLayout();
+      this.axisGroupBox.ResumeLayout(false);
+      this.axisGroupBox.PerformLayout();
       this.ResumeLayout(false);
 
@@ -426,5 +442,4 @@
     private System.Windows.Forms.RadioButton yAxisPrimaryRadioButton;
     private System.Windows.Forms.Label label6;
-    private System.Windows.Forms.Label label5;
     private System.Windows.Forms.GroupBox lineChartGroupBox;
     private System.Windows.Forms.NumericUpDown lineWidthNumericUpDown;
@@ -438,4 +453,6 @@
     private System.Windows.Forms.ComboBox lineStyleComboBox;
     private System.Windows.Forms.Label label8;
+    private System.Windows.Forms.Label label5;
+    private System.Windows.Forms.GroupBox axisGroupBox;
   }
 }
Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.cs	(revision 6013)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.cs	(revision 6014)
@@ -114,7 +114,4 @@
         SuppressEvents = true;
         try {
-          if (sender == yAxisPrimaryRadioButton)
-            yAxisSecondaryRadioButton.Checked = !yAxisPrimaryRadioButton.Checked;
-          else yAxisPrimaryRadioButton.Checked = !yAxisSecondaryRadioButton.Checked;
           Content.SecondYAxis = yAxisSecondaryRadioButton.Checked;
         } finally { SuppressEvents = false; }
@@ -126,7 +123,4 @@
         SuppressEvents = true;
         try {
-          if (sender == xAxisPrimaryRadioButton)
-            xAxisSecondaryRadioButton.Checked = !xAxisPrimaryRadioButton.Checked;
-          else xAxisPrimaryRadioButton.Checked = !xAxisSecondaryRadioButton.Checked;
           Content.SecondXAxis = xAxisSecondaryRadioButton.Checked;
         } finally { SuppressEvents = false; }
Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 6013)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 6014)
@@ -136,7 +136,5 @@
         foreach (DataRow row in Content.Rows)
           AddDataRow(row);
-        chart.ChartAreas[0].AxisX.Title = Content.VisualProperties.XAxisTitle;
-        chart.ChartAreas[0].AxisY.Title = Content.VisualProperties.YAxisTitle;
-        chart.ChartAreas[0].AxisY2.Title = Content.VisualProperties.SecondYAxisTitle;
+        ConfigureChartArea(chart.ChartAreas[0]);
       }
     }
@@ -158,4 +156,5 @@
       chart.Series.Add(series);
       chart.ChartAreas[0].RecalculateAxesScale();
+      ConfigureChartArea(chart.ChartAreas[0]);
       UpdateYCursorInterval();
     }
@@ -197,4 +196,30 @@
       else series.Color = Color.Empty;
       series.ToolTip = row.Name + " X = #INDEX, Y = #VAL";
+    }
+
+    private void ConfigureChartArea(ChartArea area) {
+      area.AxisX.Title = Content.VisualProperties.XAxisTitle;
+      area.AxisX2.Title = Content.VisualProperties.SecondXAxisTitle;
+      area.AxisY.Title = Content.VisualProperties.YAxisTitle;
+      area.AxisY2.Title = Content.VisualProperties.SecondYAxisTitle;
+      area.RecalculateAxesScale();
+      if (!Content.VisualProperties.XAxisMinimumAuto)
+        area.AxisX.Minimum = Content.VisualProperties.XAxisMinimumFixedValue;
+      else area.AxisX.Minimum = double.NaN;
+      if (!Content.VisualProperties.XAxisMaximumAuto)
+        area.AxisX.Maximum = Content.VisualProperties.XAxisMaximumFixedValue;
+      else area.AxisX.Maximum = double.NaN;
+      if (!Content.VisualProperties.SecondXAxisMinimumAuto)
+        area.AxisX2.Minimum = Content.VisualProperties.SecondXAxisMinimumFixedValue;
+      if (!Content.VisualProperties.SecondXAxisMaximumAuto)
+        area.AxisX2.Maximum = Content.VisualProperties.SecondXAxisMaximumFixedValue;
+      if (!Content.VisualProperties.YAxisMinimumAuto)
+        area.AxisY.Minimum = Content.VisualProperties.YAxisMinimumFixedValue;
+      if (!Content.VisualProperties.YAxisMaximumAuto)
+        area.AxisY.Maximum = Content.VisualProperties.YAxisMaximumFixedValue;
+      if (!Content.VisualProperties.SecondYAxisMinimumAuto)
+        area.AxisY2.Minimum = Content.VisualProperties.SecondYAxisMinimumFixedValue;
+      if (!Content.VisualProperties.SecondYAxisMaximumAuto)
+        area.AxisY2.Maximum = Content.VisualProperties.SecondYAxisMaximumFixedValue;
     }
 
@@ -246,8 +271,5 @@
         Invoke(new EventHandler(Content_VisualPropertiesChanged), sender, e);
       else {
-        chart.ChartAreas[0].AxisX.Title = Content.VisualProperties.XAxisTitle;
-        chart.ChartAreas[0].AxisX2.Title = Content.VisualProperties.SecondXAxisTitle;
-        chart.ChartAreas[0].AxisY.Title = Content.VisualProperties.YAxisTitle;
-        chart.ChartAreas[0].AxisY2.Title = Content.VisualProperties.SecondYAxisTitle;
+        ConfigureChartArea(chart.ChartAreas[0]);
       }
     }
Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 6013)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 6014)
@@ -45,14 +45,77 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       this.label1 = new System.Windows.Forms.Label();
-      this.yPrimaryTextBox = new System.Windows.Forms.TextBox();
-      this.xPrimaryTextBox = new System.Windows.Forms.TextBox();
-      this.xSecondaryTextBox = new System.Windows.Forms.TextBox();
-      this.axisTitlesGroupBox = new System.Windows.Forms.GroupBox();
-      this.ySecondaryTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisPrimaryTitleTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisSecondaryTitleTextBox = new System.Windows.Forms.TextBox();
       this.label4 = new System.Windows.Forms.Label();
-      this.label2 = new System.Windows.Forms.Label();
-      this.label3 = new System.Windows.Forms.Label();
-      this.axisTitlesGroupBox.SuspendLayout();
+      this.xAxisPrimaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.label12 = new System.Windows.Forms.Label();
+      this.label9 = new System.Windows.Forms.Label();
+      this.xAxisPrimaryTitleTextBox = new System.Windows.Forms.TextBox();
+      this.label11 = new System.Windows.Forms.Label();
+      this.xAxisPrimaryMaximumPanel = new System.Windows.Forms.Panel();
+      this.xAxisPrimaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.xAxisPrimaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryMinimumPanel = new System.Windows.Forms.Panel();
+      this.xAxisPrimaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.xAxisPrimaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisSecondaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.label10 = new System.Windows.Forms.Label();
+      this.xAxisSecondaryTitleTextBox = new System.Windows.Forms.TextBox();
+      this.label5 = new System.Windows.Forms.Label();
+      this.label6 = new System.Windows.Forms.Label();
+      this.xAxisSecondaryMaximumPanel = new System.Windows.Forms.Panel();
+      this.xAxisSecondaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.xAxisSecondaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisSecondaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisSecondaryMinimumPanel = new System.Windows.Forms.Panel();
+      this.xAxisSecondaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.xAxisSecondaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisSecondaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.axisTabControl = new System.Windows.Forms.TabControl();
+      this.xAxisTabPage = new System.Windows.Forms.TabPage();
+      this.yAxisTabPage = new System.Windows.Forms.TabPage();
+      this.yAxisSecondaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.label13 = new System.Windows.Forms.Label();
+      this.label14 = new System.Windows.Forms.Label();
+      this.yAxisSecondaryMaximumPanel = new System.Windows.Forms.Panel();
+      this.yAxisSecondaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisSecondaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisSecondaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisSecondaryMinimumPanel = new System.Windows.Forms.Panel();
+      this.yAxisSecondaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisSecondaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisSecondaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.label7 = new System.Windows.Forms.Label();
+      this.label8 = new System.Windows.Forms.Label();
+      this.yAxisPrimaryMaximumPanel = new System.Windows.Forms.Panel();
+      this.yAxisPrimaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisPrimaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryMinimumPanel = new System.Windows.Forms.Panel();
+      this.yAxisPrimaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisPrimaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
+      this.xAxisPrimaryGroupBox.SuspendLayout();
+      this.xAxisPrimaryMaximumPanel.SuspendLayout();
+      this.xAxisPrimaryMinimumPanel.SuspendLayout();
+      this.xAxisSecondaryGroupBox.SuspendLayout();
+      this.xAxisSecondaryMaximumPanel.SuspendLayout();
+      this.xAxisSecondaryMinimumPanel.SuspendLayout();
+      this.axisTabControl.SuspendLayout();
+      this.xAxisTabPage.SuspendLayout();
+      this.yAxisTabPage.SuspendLayout();
+      this.yAxisSecondaryGroupBox.SuspendLayout();
+      this.yAxisSecondaryMaximumPanel.SuspendLayout();
+      this.yAxisSecondaryMinimumPanel.SuspendLayout();
+      this.yAxisPrimaryGroupBox.SuspendLayout();
+      this.yAxisPrimaryMaximumPanel.SuspendLayout();
+      this.yAxisPrimaryMinimumPanel.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.SuspendLayout();
       // 
